# gitlab-pipeline

## Reference
```ref
Udemy - https://www.udemy.com/course/gitlab-ci-pipelines-ci-cd-and-devops-for-beginners
gitlab - https://gitlab.com/ci-cd-pipelines1/gitlab/gitlab-pipeline.git
```

## Some Imp point

```point
1. Gitlab by defualut runs all the jobs parrellel unless specified using "stages". 
```